eoDistribUpdater(3)

NAME
eoDistribUpdater - Base class for Distribution Evolution Algorithms within EO: the update rule of distribution.

SYNOPSIS

#include <eoDistribUpdater.h>

Inherits eoBF< eoDistribution< EOT > &, eoPop< EOT > &, void >.

Inherited by eoPBILAdditive< EOT >, and eoPBILOrg< EOT >.

  Public Member Functions
virtual void operator() (eoDistribution< EOT > &, eoPop< EOT > &)=0
The pure virtual function that needs to be implemented by the subclass.

Detailed Description

  template<class EOT> class eoDistribUpdater< EOT >
Base class for Distribution Evolution Algorithms within EO: the update rule of distribution. It takes one distribution and updates it according to one population

Definition at line 43 of file eoDistribUpdater.h.

Author

Generated automatically by Doxygen for EO from the source code.